Skip to content

Order Fulfillment API (1.0.2)

API for creating/managing supplements orders within the Juniper Health platform.

Authentication

This API uses OAuth 2.0 Client Credentials flow. To obtain an access token:

Token Endpoints:

  • Sandbox: https://auth.fulfillment.sandbox.juniperhealth.com/oauth2/token
  • Production: https://auth.fulfillment.juniperhealth.com/oauth2/token

Request:

POST /oauth2/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

Response:

{
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "expires_in": 3600,
  "token_type": "Bearer"
}

Include the token in API requests using the Authorization header:

Authorization: Bearer YOUR_ACCESS_TOKEN
Download OpenAPI description
Overview
Juniper Health Engineering Team
Languages
Servers
Sandbox API Server for testing
https://api.fulfillment.sandbox.juniperhealth.com/v1
Production API Server
https://api.fulfillment.juniperhealth.com/v1

Create, retrieve, and manage customer orders

Operations

Create and manage reusable order protocols/templates

Operations

Access product catalog and inventory details

Operations

Retrieve available shipping methods

Operations

Request

Retrieve list of available shipping methods with details

Security
oauth2ClientCredentials
curl -i -X GET \
  https://api.fulfillment.sandbox.juniperhealth.com/v1/shipping-methods \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successfully retrieved shipping methods

Bodyapplication/json
shippingMethodsArray of objects(ShippingMethod)required
shippingMethods[].​namestring

Shipping method name

Example: "STANDARD"
shippingMethods[].​descriptionstring

Shipping method details

Example: "5-8 business days"
shippingMethods[].​pricestring

Shipping cost

Example: "9.99"
Response
application/json
{ "shippingMethods": [ {} ] }

Manage partner account settings and branding

Operations